Download it now!
Bug 64123 - FILESAVE: Line Width & Parameter Value of Error Bars on XY chart not properly saved
Summary: FILESAVE: Line Width & Parameter Value of Error Bars on XY chart not properly...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2013-05-01 16:36 UTC by thomas.kaschel
Modified: 2019-02-08 18:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
XY graph shortly after the creation of the chart (69.90 KB, image/png)
2013-05-20 15:34 UTC, thomas.kaschel
Details
Same XY chart after closing and reopening the file (66.64 KB, image/png)
2013-05-20 15:35 UTC, thomas.kaschel
Details
Spreadsheet file (78.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-20 15:35 UTC, thomas.kaschel
Details
Test Kit (13.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-21 13:06 UTC, ign_christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.kaschel 2013-05-01 16:36:00 UTC
Adding an x error bar to a xy chart works, but it's no more there when saving the file and reopen. Y error bar works perfect.
Comment 1 ign_christian 2013-05-20 13:28:46 UTC
Could you please attach sample doc to test & how to reproduce?
Comment 2 thomas.kaschel 2013-05-20 15:34:05 UTC
Created attachment 79574 [details]
XY graph shortly after the creation of the chart

The chart looks as expected after it is created.
Comment 3 thomas.kaschel 2013-05-20 15:35:13 UTC
Created attachment 79575 [details]
Same XY chart after closing and reopening the file

After saving, closing and reopening the file the x error bars are no more shown.
Comment 4 thomas.kaschel 2013-05-20 15:35:51 UTC
Created attachment 79576 [details]
Spreadsheet file

Spreadsheet file with data and chart.
Comment 5 ign_christian 2013-05-21 02:33:25 UTC
Hi Thomas

Could you also explain step by step procedure to create that chart?
I don't familiar with this one :)
Is it happen with other charts?

Please inform your LO version & Linux distro.
Comment 6 thomas.kaschel 2013-05-21 07:20:32 UTC
(In reply to comment #5)
> Hi Thomas
> 
> Could you also explain step by step procedure to create that chart?
> I don't familiar with this one :)
> Is it happen with other charts?
> 
> Please inform your LO version & Linux distro.

LibreOffice v4.0.2.2 running on Xubuntu 13.04

The graph is a XY chart (points only). There are kind of gaps between the data points on the X axis (time) as well as on the Y axis (percentage). The X and Y error bars are used for closing these gaps by horizontal and vertical lines. Column C represents the data points, column D the value for the X error bars and column E for the Y error bars.

After creating the XY (points only) chart a right-click offers the option to add X and Y error bars. Unfortunately the X error bars are not saved.
Comment 7 ign_christian 2013-05-21 08:23:25 UTC
We can see the difference from your attachments. But it's difficult for me to create new chart, same as yours, from your limited explanation to see that issue from scratch.

I tried looking properties of your ready-made chart. Found that X Error Bars is 0 (zero) width.

Could you confirm that? I believe it shouldn't be zero. 
If yes, please try playing with some width & check if it reset to zero after saving & reopening file.
Comment 8 thomas.kaschel 2013-05-21 09:36:14 UTC
(In reply to comment #7)
> We can see the difference from your attachments. But it's difficult for me
> to create new chart, same as yours, from your limited explanation to see
> that issue from scratch.
> 
> I tried looking properties of your ready-made chart. Found that X Error Bars
> is 0 (zero) width.
> 
> Could you confirm that? I believe it shouldn't be zero. 
> If yes, please try playing with some width & check if it reset to zero after
> saving & reopening file.

I have set the width of the X error bars to 0,05cm but LO obviously doesn't save this information. So the X error bars aren't shown after reopening the file.
Comment 9 ign_christian 2013-05-21 13:06:19 UTC
Created attachment 79618 [details]
Test Kit

Based on Thomas attachment, I tried to make a test file (attached)

Steps to reproduce:
1. Insert > Chart > Chart Type > XY(Scatter) > Next
2. Data range > $Sheet1.$A$2:$B$22 > Unchek both 'First row as label' & 'First column as label' > Finish
3. Select & click any Data Point > right click > Insert X Error Bars
4. Selection: 
Tab 'X Error Bars'
- Error Category: Cell Range
- Error Indicator: Positive
- Parameters -> Positive (+): $Sheet1.$C$2:$C$22
Tab 'Line' -> Width: 0,05cm
5. Repeat step 3-4 to Insert Y Error Bars (except for: Parameters -> Positive (+): $Sheet1.$D$2:$D$22)
6. Save, close, & reopen this file
7. We can see changes on X Error Bars:
# Width -> 0,00cm
# Parameters -> Positive (+): $Sheet1.$D$2:$D$22

Doing only steps 1-4,6 (only Insert X Error Bars) generates different behavior:
Positive Parameters no change, but Width: 0,00cm

Doing same procedure with XLS & XLSX, removing both X & Y Error Bars.

Tested on LO 4.0.3.3 (Win7 32bit)
Comment 10 QA Administrators 2015-04-19 03:21:37 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2016-09-20 09:24:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920